> For the complete documentation index, see [llms.txt](https://docs.wareneutron.com/psgc-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wareneutron.com/psgc-api/endpoints/region.md).

# Region

## All-Region

<mark style="color:blue;">`GET`</mark> `https://psgc-api.wareneutron.com/api/region`

Request for all region data available.

#### Path Parameters

| Name                                     | Type   | Description                                                  |
| ---------------------------------------- | ------ | ------------------------------------------------------------ |
| api<mark style="color:red;">\*</mark>    | string | A required parameter to access the API data and information. |
| region<mark style="color:red;">\*</mark> | string | Returns data for all regions.                                |

{% tabs %}
{% tab title="200 Returns data in JSON format." %}

```javascript
{
    "data": [
        {
            "region": [
                {
                    "code": "...",
                    "name": "...",
                    "geographic_level": "Reg",
                    "old_names": "",
                    "city_class": "",
                    "income_classification": "",
                    "urban_rural": "",
                    "population": ""
                },
                {
                    ...
                }
            ],
            "_id": "",
            "total": 0
        }
    ],
    "totalPages": 1,
    "currentPage": 1
}
```

{% endtab %}
{% endtabs %}

## Specific Region

<mark style="color:blue;">`GET`</mark> `https://psgc-api.wareneutron.com/api/region/{{code}}`

Request for specific region data available.

#### Path Parameters

| Name                                     | Type   | Description                                                                                      |
| ---------------------------------------- | ------ | ------------------------------------------------------------------------------------------------ |
| api<mark style="color:red;">\*</mark>    | String | Required parameter to access the API data and information.                                       |
| region<mark style="color:red;">\*</mark> | String | Required parameter to specifically access region data and information.                           |
| {{code}}                                 | String | Returns specified region data and information. If not provided, it will return all regions data. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wareneutron.com/psgc-api/endpoints/region.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
